
function MultiFinder:CreateSlider()
    MultiFinder.Results.Slider = MultiFinder.Results.Slider or CreateFrame("Slider", "MultiFinder_Results_Slider", MultiFinder.Results, "UIPanelScrollBarTemplate")

    MultiFinder.Results.Slider:ClearAllPoints()
    MultiFinder.Results.Slider:SetPoint("TOPRIGHT", MultiFinder.Results, "TOPRIGHT",(-1 *(MultiFinder.Results.width - 8)), -21)
    MultiFinder.Results.Slider:SetSize(35, MultiFinder.Results.height - 40)

    MultiFinder.Results.Slider:SetBackdrop( {
        bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",

        insets = { left = 7, right = 7, top = - 20, bottom = - 20 }
    } );
    MultiFinder.Results.Slider:SetBackdropColor(0, 0, 0, 1);


    MultiFinder.Results.Slider:SetMinMaxValues(5, 6);
    MultiFinder.Results.Slider:SetValueStep(1)
    MultiFinder.Results.Slider.scrollStep = 1
    MultiFinder.Results.Slider:SetScript("OnValueChanged", function(self, value)
        MultiFinder.Results.Slider.value = value;
        MultiFinder:lookForLFGMatches(true);
    end )
    MultiFinder.Results.Slider.value = select(2, MultiFinder.Results.Slider:GetMinMaxValues())
    MultiFinder.Results.Slider:SetValue(MultiFinder.Results.Slider.value);

    MultiFinder.Results.Slider:SetScript("OnMouseWheel", function(self, delta)
        local cur_val = MultiFinder.Results.Slider:GetValue()
        local min_val, max_val = MultiFinder.Results.Slider:GetMinMaxValues()
        if delta < 0 and cur_val < max_val then
            cur_val = math.min(max_val, cur_val + 1)
            MultiFinder.Results.Slider:SetValue(cur_val)
        elseif delta > 0 and cur_val > min_val then
            cur_val = math.max(min_val, cur_val - 1)
            MultiFinder.Results.Slider:SetValue(cur_val)
        end
    end )
    MultiFinder.Results.Slider:Show();
end

function MultiFinder:CreateResults()
    MultiFinder.Results = MultiFinder.Results or CreateFrame("Frame", "MultiFinder_Results", MultiFinder.MainFrame);
    MultiFinder.Results.width = MultiFinder.MainFrame.width;
    MultiFinder.Results.height = 310;
    MultiFinder.Results:SetFrameStrata("BACKGROUND");
    MultiFinder.Results:SetSize(MultiFinder.MainFrame.width, MultiFinder.Results.height)


    MultiFinder.Results:SetBackdrop( {
        bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",
        -- edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
        tile = true,
        tileSize = 32,
        edgeSize = 32,
        insets = { left = 0, right = 0, top = 0, bottom = 0 }
    } );


    MultiFinder.Results:SetBackdropColor(0, 0, 0, 0);
    MultiFinder.Results:SetMovable(true);
    MultiFinder.Results:SetResizable(true);
    MultiFinder.Results:EnableMouseWheel(true)
    MultiFinder.Results:SetPoint("TOPLEFT", MultiFinder.MainFrame, "TOPLEFT", 0, -70);
    MultiFinder.Results:SetUserPlaced(true);
    MultiFinder:CreateSlider();
end

function MultiFinder:SetSliderMax(val)

    if val > 9 then
        MultiFinder.Results.Slider:SetMinMaxValues(5, val);
        if not(MultiFinder.Results.Slider:IsShown()) then
            MultiFinder.Results.Slider:Show();
            MultiFinder.Results:SetBackdropColor(0, 0, 0, 0.4);
        end
    else
        MultiFinder.Results.Slider:SetMinMaxValues(5, 6)
        MultiFinder.Results.Slider:SetValue(5);
        if MultiFinder.Results.Slider:IsShown() then
            MultiFinder.Results.Slider:Hide();
            MultiFinder.Results:SetBackdropColor(0, 0, 0, 0);
        end
    end
end